Update Template
PATCH
/api/canvas/templates/{template_id}
const url = 'https://example.com/api/canvas/templates/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","deal_type":"example","asset_type":"example","section_schema":{"additionalProperty":{}},"section_order":["example"],"is_default":true,"category":"example","tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/canvas/templates/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "deal_type": "example", "asset_type": "example", "section_schema": { "additionalProperty": {} }, "section_order": [ "example" ], "is_default": true, "category": "example", "tags": [ "example" ] }'Update a template (creator only).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” template_id
required
Template Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
UpdateTemplateRequest
object
section_schema
section_order
Any of:
Array<string>
null
tags
Any of:
Array<string>
null
Example generated
{ "name": "example", "description": "example", "deal_type": "example", "asset_type": "example", "section_schema": { "additionalProperty": {} }, "section_order": [ "example" ], "is_default": true, "category": "example", "tags": [ "example" ]}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}